Subject: [alpine-aports] [PATCH 1/2] testing/biblesync: new aport

From: Isaac Dunham <[email-masked]>
Date: Tue, 31 Mar 2015 22:57:08 -0700

biblesync was the navigation/IPC part of Xiphos, but has now been split
off into a public library.
---
I sent this to the alpine-devel list by accident; resending.

 testing/biblesync/APKBUILD | 51 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)
 create mode 100644 testing/biblesync/APKBUILD

diff --git a/testing/biblesync/APKBUILD b/testing/biblesync/APKBUILD
new file mode 100644
index 0000000..1da9d3f
--- /dev/null
+++ b/testing/biblesync/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: Isaac Dunham <[email-masked]>
+# Maintainer: Isaac Dunham <[email-masked]>
+pkgname=biblesync
+pkgver=1.1.2
+pkgrel=0
+pkgdesc="Library for multicasting Bible navigation used by Xiphos"
+url="sf.net/p/gnomesword"
+arch="all"
+license="Public domain"
+depends=""
+depends_dev="util-linux-dev"
+makedepends="cmake $depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.sourceforge.net/project/gnomesword/BibleSync/$pkgver/biblesync-$pkgver.tar.gz"
+
+_builddir="$srcdir"/biblesync-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	cmake \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DCMAKE_INSTALL_LIBDIR=lib \
+		-DBUILD_SHARED_LIBS=True \
+		-DCMAKE_BUILD_TYPE=Release \
+		-DCMAKE_CXX_COMPILER="${CXX:-g++}" \
+		-DCMAKE_CXX_FLAGS="$CXXFLAGS" \
+		|| return 1
+#		--build=$CBUILD 
+#		--host=$CHOST 
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="25bc063de3da2fc087954c746714f735  biblesync-1.1.2.tar.gz"
+sha256sums="886e1ac165b8900254c00a182fa34e3680ef3aa25051418470f15ea09ac02005  biblesync-1.1.2.tar.gz"
+sha512sums="7725c8228e2dff79edaf065ff4d4816a6cf214d1d874817345cc4154142144bce479ca1ae871053886bff4f6610715a27bce81c25c2a636444d5873e93bfdc62  biblesync-1.1.2.tar.gz"
-- 
2.3.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Isaac Dunham <[email-masked]>
Date: Tue, 31 Mar 2015 22:57:09 -0700

A lot of gtk3 fixes, but also biblesync got split out.
---
 testing/xiphos/APKBUILD | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

diff --git a/testing/xiphos/APKBUILD b/testing/xiphos/APKBUILD
index 2fdaba7..adea4af 100644
--- a/testing/xiphos/APKBUILD
+++ b/testing/xiphos/APKBUILD
@@ -1,8 +1,9 @@
 # Contributor: Isaac Dunham <[email-masked]>
 # Maintainer: Isaac Dunham <[email-masked]>
 pkgname=xiphos
-pkgver=4.0.0
+pkgver=4.0.1
 pkgrel=0
+_pkgex="-20150330"
 pkgdesc="Gnome application for Bible study"
 url="https://sourceforge.net/projects/gnomesword"
 arch="all"
@@ -10,10 +11,10 @@ license="GPL2"
 depends=""
 makedepends="webkitgtk-dev sword-dev gconf-dev libgsf-dev intltool gettext-dev
 	rarian-dev desktop-file-utils gnome-doc-utils util-linux-dev
-	linux-headers"
+	linux-headers biblesync-dev"
 install=""
 subpackages="$pkgname-doc $pkgname-lang"
-source="http://downloads.sourceforge.net/gnomesword/xiphos-$pkgver.tar.gz"
+source="http://downloads.sourceforge.net/gnomesword/xiphos-$pkgver$_pkgex.tar.gz"
 
 _builddir="$srcdir"/xiphos-$pkgver
 prepare() {
@@ -38,6 +39,6 @@ package() {
 
 }
 
-md5sums="7305c368510574bd64d873daeb5354ee  xiphos-4.0.0.tar.gz"
-sha256sums="c8408919f5d4847b9641a5ab52cf071adde42ff6c2c97b93532754ac2cec6966  xiphos-4.0.0.tar.gz"
-sha512sums="0e8d70dc78be5ef9107307dcd28d756812212ee8e166cf0fdf1c1294617ccf0f1d119f36ab1b9d36f3de6e6ea538baf8cb6d36bc537afd4ff05d7fda44026352  xiphos-4.0.0.tar.gz"
+md5sums="0b3fc83f7ba379d0a762fceaf1c9c11c  xiphos-4.0.1-20150330.tar.gz"
+sha256sums="7f3063cd7cd75fa7ca170b127cda7f29034cc1e3f6fd44ef510dfcb07f5f9e94  xiphos-4.0.1-20150330.tar.gz"
+sha512sums="269fcfdeafafd03d93b3c9f951463d4e1a4de424a0763c47f1684ff016654f5432e4e3946fc98736dff577ee420614f979cd784c3af5e5dde98175a577402400  xiphos-4.0.1-20150330.tar.gz"
-- 
2.3.4

---